%define upstream_name    Math-NumSeq
%define upstream_version 75

%{?perl_default_filter}

Name:       perl-Math-NumSeq
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Number sequences
License:    GPLv3+
Group:      Development/C
Url:        https://metacpan.org/release/Math-NumSeq
Source0:    https://cpan.metacpan.org/authors/id/K/KR/KRYDE/Math-NumSeq-%{upstream_version}.tar.gz
BuildArch:  noarch

%global with_maximum_interoperation 0

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::Util)
BuildRequires: perl(Math::Factor::XS) >= 0.400.0
BuildRequires: perl(Math::Libm)
BuildRequires: perl(Math::Prime::XS) >= 0.230.0
BuildRequires: perl(Module::Load)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Module::Util)
BuildRequires: perl(Test)
BuildRequires: perl(constant) >= 1.20.0
BuildRequires: perl(constant::defer) >= 1.0.0
BuildRequires: perl >= 0:5.004
Requires:   perl(File::HomeDir)
Requires:   perl(File::Temp)
Requires:   perl(Math::Trig)
Requires:   perl(Module::Load)
Requires:   perl(SDBM_File)
%if 0%{with_maximum_interoperation}

Requires:   perl(Math::Expression::Evaluator)
Requires:   perl(Math::Symbolic)
Requires:   perl(Language::Expr)
Requires:   perl(Language::Expr::Compiler::Perl)
%endif

%description
This is a base class for some number sequences. Sequence objects can
iterate through values and some sequences have random access and/or
predicate test.

%prep
%setup -q -n Math-NumSeq-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc COPYING Changes META.json META.yml MYMETA.yml SIGNATURE examples
%{perl_vendorlib}/Math/*
%{_mandir}/man3/*

%changelog
* Tue Jun 07 2022 tv <tv> 75.0.0-1.mga9
+ Revision: 1863132
- update to 75

* Mon Mar 21 2022 umeabot <umeabot> 74.0.0-2.mga9
+ Revision: 1812415
- Mageia 9 Mass Rebuild

* Mon Feb 24 2020 tv <tv> 74.0.0-1.mga8
+ Revision: 1549808
- update to 74

* Sat Feb 15 2020 umeabot <umeabot> 73.0.0-2.mga8
+ Revision: 1528016
- Mageia 8 Mass Rebuild

* Tue Aug 06 2019 tv <tv> 73.0.0-1.mga8
+ Revision: 1427739
- update to 73
- use upstream_name/version macros

* Thu Sep 20 2018 umeabot <umeabot> 72-2.mga7
+ Revision: 1284757
- Mageia 7 Mass Rebuild

* Sun Jul 23 2017 tv <tv> 72-1.mga7
+ Revision: 1129449
- new release

* Sun Jun 19 2016 pterjan <pterjan> 71-5.mga6
+ Revision: 1029716
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 71-4.mga6
+ Revision: 970227
- Mageia 6 Mass Rebuild

* Tue Sep 29 2015 sander85 <sander85> 71-3.mga6
+ Revision: 885149
- Drop BR on Devel::FindRef (not needed)

* Wed Oct 15 2014 umeabot <umeabot> 71-2.mga5
+ Revision: 743956
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 tv <tv> 71-1.mga5
+ Revision: 736758
- imported package perl-Math-NumSeq

